#!/bin/bash
#
# INT2LM NAMELIST INPUT

RES=$1
run=$2  
extpath=$3
extfile=$4
erapath=$5
outpath=$6
procx=6
procy=4

# changing variables...
if [ "$RES" == "C15" ]
then
# CONTRL
	HINCBOUND="6"
	HSTOP="30"
	YIMPUT_MODEL="CM"
	ITYPE_T_CL="1"
	LSSO=".TRUE."
# GRID_IN
	IE_IN_TOT="512"
	JE_IN_TOT="256"
	KE_SOIL_IN="3"
	CZML_SOIL_IN="0.035, 0.175, 0.64, 1.775"
	STARTLON_IN_TOT="-180."
	STARTLAT_IN_TOT="-89.46282"
	ENDLON_IN_TOT="179.2969"
	ENDLAT_IN_TOT="89.46282"
	DLONLAT_IN="0.703125"
	POLLON_IN="180.0"
	POLLAT_IN="90.0"
	POLGAM_IN="0.0"
	EAST_ADD_IN="1"
	WEST_ADD_IN="1"
	SOUTH_ADD_IN="1"
# LMGRID
	IELM_TOT="300"
	JELM_TOT="300"
	DLONLAT="0.125"
	STARTLON_TOT="-32.5"
	STARTLAT_TOT="-15."
# DATA
	YINPUT_TYPE="analysis"
	IE_EXT="304"
	JE_EXT="304"
	YINEXT_LFN="caf${run}.nc"
fi
if [ "$RES" == "C05" ]
then 
# CONTRL
	HINCBOUND="1"
	HSTOP="29"
	YIMPUT_MODEL="COSMO"
	ITYPE_T_CL="0"
	LSSO=".TRUE."
# GRID_IN
	IE_IN_TOT="300"
	JE_IN_TOT="300"
	KE_SOIL_IN="7"
	CZML_SOIL_IN="0.005, 0.02, 0.06, 0.18, 0.54, 1.62, 4.86, 14.58"
	STARTLON_IN_TOT="-32.5"
	STARTLAT_IN_TOT="-15"
	ENDLON_IN_TOT="22.375"
	ENDLAT_IN_TOT="4.875"
	DLONLAT_IN="0.125"
	POLLON_IN="0.0"
	POLLAT_IN="12.5"
	POLGAM_IN="180"
	EAST_ADD_IN="0"
	WEST_ADD_IN="0"
	SOUTH_ADD_IN="0"
# LMGRID
	IELM_TOT="500"
	JELM_TOT="400"
	DLONLAT="0.05"
	STARTLON_TOT="-25"
	STARTLAT_TOT="-10"
# DATA
	YINPUT_TYPE="forecast"
	IE_EXT="504"
	JE_EXT="404"
	YINEXT_LFN="lffd${run}c.nc"
fi
if [ "$RES" == "C01" ]
then 
# CONTRL
	HINCBOUND="1"
	HSTOP="29"
	YIMPUT_MODEL="COSMO"
	ITYPE_T_CL="0"
	LSSO=".FALSE."
# GRID_IN
	IE_IN_TOT="500"
	JE_IN_TOT="400"
	KE_SOIL_IN="7"
	CZML_SOIL_IN="0.005, 0.02, 0.06, 0.18, 0.54, 1.62, 4.86, 14.58"
	STARTLON_IN_TOT="-25"
	STARTLAT_IN_TOT="-10"
	ENDLON_IN_TOT="-0.05"
	ENDLAT_IN_TOT="9.95"
	DLONLAT_IN="0.05"
	POLLON_IN="0.0"
	POLLAT_IN="12.5"
	POLGAM_IN="180"
	EAST_ADD_IN="0"
	WEST_ADD_IN="0"
	SOUTH_ADD_IN="0"
# LMGRID
	IELM_TOT="300"
	JELM_TOT="400"
	DLONLAT="0.01"
	STARTLON_TOT="-11.5"
	STARTLAT_TOT="-5"
# DATA
	YINPUT_TYPE="forecast"
	IE_EXT="304"
	JE_EXT="404"
	YINEXT_LFN="lffd${run}c.nc"
fi


#############################################

cat > INPUT << end_input
 &CONTRL
  ydate_ini='${run}', hstart=0.0, hstop=$HSTOP, hincbound=$HINCBOUND,
  linitial=.TRUE.,  lboundaries =.TRUE.,
  lfilter_oro=.TRUE.,
  yinput_model='$YIMPUT_MODEL',
  l_cressman = .FALSE., l_bicub_spl = .FALSE., lbdclim = .TRUE.,
  ltime_mean = .TRUE., luvcor = .TRUE. , lreorder = .TRUE.,
  lmulti_layer_in = .TRUE., lmulti_layer_lm = .TRUE.,
  itype_w_so_rel = 1,
  itype_t_cl = $ITYPE_T_CL,
  itype_rootdp = 3,
  lprog_qi = .TRUE.,
  luse_t_skin = .TRUE.,
  lforest = .TRUE.,
  lsso = $LSSO,
  nincwait = 5, nmaxwait = 20,
  llbc_smooth = .FALSE., nlbc_smooth = 10,
  nprocx = ${procx}, nprocy = ${procy},
  lseaice=.TRUE.,
  idbg_level=21,
 /END
 &GRID_IN
  ie_in_tot = $IE_IN_TOT, je_in_tot = $JE_IN_TOT, ke_in_tot = 60,
  pcontrol_fi = 30000.,
  ke_soil_in = $KE_SOIL_IN,
  czml_soil_in = $CZML_SOIL_IN,
  startlon_in_tot = $STARTLON_IN_TOT,
  startlat_in_tot = $STARTLAT_IN_TOT,
  endlon_in_tot = $ENDLON_IN_TOT,
  endlat_in_tot = $ENDLAT_IN_TOT,
  dlat_in=$DLONLAT_IN, dlon_in=$DLONLAT_IN,
  pollon_in = $POLLON_IN, pollat_in = $POLLAT_IN, polgam_in = $POLGAM_IN,
  east_add_in = $EAST_ADD_IN,
  west_add_in = $WEST_ADD_IN,
  south_add_in = $SOUTH_ADD_IN,
 /END
 &LMGRID
  ivctype = 2,
  irefatm = 2,
  ielm_tot=$IELM_TOT, jelm_tot=$JELM_TOT, kelm_tot=60,
  pollat = 12.5, pollon = 0., polgam=180.0,
  dlon=$DLONLAT, dlat=$DLONLAT,
  startlon_tot = $STARTLON_TOT, startlat_tot = $STARTLAT_TOT,
 vcflat = 11430.0,
 vcoord_d =  25000.00,  23800.00,  22639.32,  21517.31,  20433.29, 
  19386.62,  18376.62,  17402.65,  16464.03,  15560.12, 
  14690.24,  13853.74,  13049.96,  12278.24,  11537.91, 
  10828.32,  10148.80,   9498.70,   8877.36,   8284.11, 
   7718.29,   7179.25,   6666.32,   6178.85,   5716.17, 
   5277.62,   4862.54,   4470.27,   4100.15,   3751.53, 
   3423.73,   3116.10,   2827.98,   2558.71,   2307.63, 
   2074.08,   1857.39,   1656.91,   1471.98,   1301.93, 
   1146.11,   1003.86,    874.51,    757.40,    651.88, 
    557.28,    472.94,    398.21,    332.41,    274.90, 
    225.01,    182.09,    145.46,    114.47,     88.46, 
     66.77,     48.74,     33.71,     21.02,     10.00, 
      0.00, 
! vcoord_d =  25000.00,  24000.00,  23026.10,  22077.98,  21155.30, 
!  20257.74,  19384.98,  18536.68,  17712.52,  16912.17, 
!  16135.30,  15381.59,  14650.71,  13942.33,  13256.12, 
!  12591.76,  11948.92,  11327.27,  10726.49,  10146.24, 
!   9586.21,   9046.06,   8525.46,   8024.09,   7541.62, 
!   7077.73,   6632.09,   6204.36,   5794.23,   5401.36, 
!   5025.42,   4666.10,   4323.06,   3995.98,   3684.52, 
!   3388.37,   3107.19,   2840.65,   2588.44,   2350.22, 
!   2125.66,   1914.44,   1716.22,   1530.70,   1357.52, 
!   1196.38,   1046.93,    908.86,    781.84,    665.53, 
!    559.61,    463.76,    377.65,    300.95,    233.33, 
!    174.46,    124.02,     81.68,     47.12,     20.00, 
!      0.00, 
 /END
 &DATABASE
 /
 &DATA
  yinput_type='$YINPUT_TYPE',
  ie_ext=$IE_EXT, je_ext=$JE_EXT,
  ylmext_form_read='ncdf',
  yinext_form_read='ncdf',
  yin_form_read='ncdf',
  ylm_form_write='ncdf',
  ylmext_lfn='${extfile}',
  ylmext_cat='${extpath}',
  yinext_lfn='$YINEXT_LFN',
  yinext_cat='${erapath}',
  yin_cat='${erapath}',
  ylm_cat='${outpath}',
  nprocess_ini = 131, nprocess_bd = 132,
  nl_soil_in=4, nl_soil_lm=8,
  ytunit_in='d', ytunit_out='d',
 /END
 &PRICTR
  lchkin=.TRUE., lchkout=.TRUE.,
 /END
end_input
